# Logistic Regression Data Set Creation

# Install R package with data set

install.packages("Hmisc")
library(Hmisc)

# Get the Data Set named diabetes

getHdata (diabetes,"all")
attach(diabetes)
names(diabetes)
diabetes  # 403 subjects 8 variables

# Select only variables of interest

myvars = c("glyhb","location","gender","frame")
mydata = diabetes[myvars]
head(mydata, n=6)

# Omit missing data n = 403 subjects to n = 379 subjects

mydata_omit = na.omit(mydata)

# Create Dichotomous Dependent Variable
# glyhb variable a dichotomous dependent variable
# glyhb > = 7  (diabetic, Y = 1) else glyhb  = 0 (non-diabetic, Y = 0)

mydata_omit$Y = mydata_omit$glyhb
mydata_omit$Y = ifelse(mydata_omit$glyhb >= 7,1,0)

# Final data set with missing data removed and dichotomous Y created

mydata_omit 
head(mydata_omit)

# SPSS file output

write.table(mydata_omit, "c:/diabetes.txt",sep="\t")




