install.packages("Hmisc")
library(Hmisc)

getHdata (diabetes,"all")
attach(diabetes)
names(diabetes)
diabetes  # 403 subjects 8 variables

myvars = c("glyhb","location","gender","frame")
mydata = diabetes[myvars]
head(mydata, n=6)

# Omit missing data 403 subjects to 379 subjects

mydata_omit = na.omit(mydata)

# Create Dichotomous Dependent Variable

mydata_omit$Y = mydata_omit$glyhb
mydata_omit$Y = ifelse(mydata_omit$glyhb >= 7,1,0)

# Final data set with missing data removed and dichotomous Y created

mydata_omit  

# SPSS file output

write.table(mydata_omit, "c:/diabetes.txt",sep="\t")

