# Multiple Regression Repeated Measures

test1 = rbind(6,9,4,3,1,7,8,9,8,6)
test2 = rbind(12,14,8,10,6,15,8,11,12,10)
test3 = rbind(18,16,15,12,10,20,15,18,13,16)
names = rbind("Bill","Mary","Sue","Jill","Cary","Juan","Manuel", "Beth","Martin","Robert")
student = data.frame(names,test1,test2,test3) 	
attach(student)
student

install.packages("reshape")
library(reshape)

myfile = melt(student, id = "names", measured = c("test1","test2","test3"))
attach(myfile)
myfile

install.packages("nlme")
library(nlme)
attach(myfile)    			# use names in file
variable = factor(variable)	# declare variable a factor - group level variable

out = lme(value ~ variable, data = myfile,  method="ml", random = ~1 | names)
summary (out)

# Sphericity

aov_out = ezANOVA(data=myfile, dv= .(value),wid= .(names),within = .(variable), detailed=TRUE,type=3)
aov_out

# Group descriptives

install.packages("psych")
library(psych)

testfile = (myfile[2:3])                           # Remove names; create new file
describeBy(testfile,group=variable)

mean(test1);sd(test1)
mean(test2);sd(test2)
mean(test3);sd(test3)



