# Chapter 3 Hierarchhical Linear Models

# read data and attach variable names, gender and time as categorical

library(foreign)
hlmdata = read.spss("c:/mouse.sav",use.value.label=TRUE,to.data.frame=TRUE)
head(hlmdata)

attach(hlmdata)
time = factor(time)
gender = factor(gender)

# Install R Packages

install.packages("lme4")
library(lme4)
options (scipen=999)

# Run Null Model
# Use lm function for TYPE III SS and unbalanced designs
# Do not use aov function which uses Type I SS

# Multilevel regression using Maximum Likelihood Estimation

fit1 = lmer(weight ~1 + (1 | id), data = hlmdata, REML = FALSE)
summary(fit1)

# Run time model

fit2 = lmer(weight ~ time +(1 | id), data = hlmdata, REML = FALSE)
summary(fit2)

# run time and gender model

fit3 = lmer(weight ~ time + gender + (1 | id), data = hlmdata, REML=FALSE)
summary(fit3)


