# Hotelling T Dependent Sample

# Install R package and load library of functions

install.packages("ICSNP")
install.packages("mvtnorm")
library(ICSNP) 
library (mvtnorm)

# Place in a data frame and list variables

PreBoy  = c(12,16,18,12,10)
PostBoy = c(14,16,18,10,12)
PreGirl = c(5,2,7,4,15)
PostGirl = c(8,2,16,10,14)
mydata = data.frame(PreBoy,PostBoy,PreGirl,PostGirl)
attach(mydata)
mydata

#  Compute descriptive statistics on dependent variables for each group

mean(PreBoy);sd(PreBoy)
mean(PostBoy);sd(PostBoy)
mean(PreGirl);sd(PreGirl)
mean(PostGirl);sd(PostGirl)

# Approach 1 - Compare Boys and Girls Pop Quiz Difference Scores

#  Calculate and print mean difference scores by group

diffBoy = PostBoy - PreBoy
diffGirl = PostGirl - PreGirl
mean(diffBoy);sd(diffBoy)
mean(diffGirl);sd(diffGirl)

# Graph dependent variable mean differences

install.packages("psych")
library(psych)
YDiff = data.frame(diffBoy, diffGirl)
YDiff
error.bars(YDiff,bar=FALSE,ylab="Group Means",xlab="Dependent Variables",ylim=c(-10,10),eyes=FALSE)

# Place difference scores in data frame

YDiff

# Compute Hotelling T-square on difference scores for Boys

muH0 = c(0)
HotellingsT2(diffBoy, mu=muH0)

# Compute Hotelling T-square on difference scores for Girls

muH0 = c(0)
HotellingsT2(diffGirl, mu=muH0)

Approach 2 - Compare All Students in Class on Pre and Post scores

# Create data frame with dependent variables and group membership variable

g = 2  # number of groups
N = 5  # number of subjects per group
Group = matrix(rep(1:g, each=N))
Pre=c(PreBoy, PreGirl)
Post=c(PostBoy, PostGirl)
All   = data.frame(Pre, Post, Group)
names(All) = c("Pre", "Post", "Group")
factor(Group) 
All

# Compute Descriptive statistics on Pre and Post scores

mean(Pre)
mean(Post)

 # Compute average difference score

Diff = cbind(Post-Pre)
Diff
mean(Diff)

# Compute Hotelling T-square on difference scores for all students

muH0 = c(0)
HotellingsT2(Diff, mu=muH0)



