
# Hotelling T - Single sample
# Install R packages and load library of functions

install.packages("ICSNP")
install.packages("mvtnorm")
library(ICSNP) 
library (mvtnorm)

# Y12 is a data frame that combines the two matrix vectors of dependent variables

Y1 = c(-2,-4,-6,-3,-7,-2,-1,-8,-6,-9)
Y2 = c(3,4,9,3,5,4,2,4,2,8)
Y12 = data.frame(Y1,Y2)
names(Y12) = c("Y1","Y2")
attach(Y12)
Y12

# Print out means (mean) and standard deviations (sd) of dependent variables

cor(Y12)
mean(Y1); sd(Y1)
mean(Y2); sd(Y2)

# Graph dependent variable means using error.bars() function

install.packages("psych")
library(psych)
error.bars(Y12,bar=FALSE,ylab="Group Means",xlab="Dependent Variables", ylim=c(-10,10),eyes=FALSE)

# Conduct a Hotelling T2 test of null hypothesis that dependent means are different than zero
# muH0 assigns population means in matrix vector to equal zero

muH0 = c(0, 0)
HotellingsT2(Y12, mu=muH0)

