# Tabachnick and Fidell, 6th Edition data set
# dblmult.txt

mydata = read.table("C:/dblmult.txt",header = TRUE,sep="")
attach(mydata)
mydata
 

library(psych)
describeBy(mydata, group)   # Compute descriptive statistics for each group

# Intercept by group across 4 angle rotation sessions

Grp =   matrix(rep(cbind("G","symbol"),c(4,4)),nrow=8,ncol=1)
session = matrix(rep(1:4,c(1)),nrow=8,ncol=1)
Mns = matrix(cbind(200.70,133.75,90.46,72.39,40.85,24.30,22.95,22.46),
 + nrow=8,ncol=1)
intcp = data.frame(Grp,session,Mns)
attach(intcp) 
intcp

line = ggplot(intcp,aes(x=session,y=Mns,group=Grp))
line + geom_line(aes(linetype=Grp)) + labs(list(title="Mean Intercept Across Angle Sessions",x="Angle Sessions",y="Mean Intercept"))

# Run multivariate repeated measures

options(scipen=999)
outintcp = manova(cbind(intrcpt1, intrcpt2, intrcpt3, intrcpt4)~ group, 
  + data = mydata)

summary(outintcp,test="Wilks")
summary(outintcp,test="Pillai")
summary(outintcp,test="Hotelling")
summary(outintcp,test="Roy")

# Grp and session are still in the workspace, so you do not need to specify again
# Grp =   matrix(rep(cbind("G","symbol"),c(4,4)),nrow=8,ncol=1)
# session = matrix(rep(1:4,c(1)),nrow=8,ncol=1)

Mnslope = matrix(cbind(642.62,581.13,516.87,505.39,654.50,647.53,568.22,535.82), nrow=8,ncol=1)
slp  = data.frame(Grp,session,Mnslope)
attach(slp)
slp 

line = ggplot(intcp,aes(x=session,y=Mnslope,group=Grp))
line + geom_line(aes(linetype=Grp)) + labs(list(title="Mean Slope Across Angle Sessions",x="Angle Sessions",y="Mean Slope"))

outslp = manova(cbind(slope1, slope2, slope3, slope4)~ group, data = mydata)

summary(outslp,test="Wilks")
summary(outslp,test="Pillai")
summary(outslp,test="Hotelling")
summary(outslp,test="Roy")

