# Chapter 7 Multivariate Repeated Meassures
# Tabachnick and Fidell 2012

read = rbind(7,8,5,6,7,4,6,5,6,4,3,5,4,7,6)
dance = rbind(10,9,10,10,8,4,4,5,6,5,1,3,2,1,3)
tv = rbind(6,5,5,6,7,4,5,5,6,6,1,1,2,2,3)
ski= rbind(5,7,8,8,9,4,3,6,7,5,2,5,5,4,3)
names = rep(rbind("belly","politic","Admin"),c(5,5,5))

multdv = data.frame(names,read,dance,tv,ski)
multdv

install.packages("ggplot2")
library(ggplot2)

Group = matrix(rep(cbind("belly","politic","admin"),c(4)))
Variable = matrix(rep(cbind("read","dance","tv","ski"),c(3,3,3,3)))
Avg = matrix(cbind(6.6,5.0,5.0,9.4,4.8,2.0,5.8,5.2,1.8,7.4,5.0,3.8))
newfile = data.frame(Group,Variable,Avg)
newfile

install.packages("reshape")
library(reshape)
ppfile = melt(multdv, id = "names", measured = c("read","dance","tv","ski"))
names = factor(names)
ppfile

line = ggplot(newfile,aes(x=Variable,y=Avg,group=Group))
line + geom_line(aes(linetype=Group)) + labs(x="Dependent Variables",y="Mean Leisure")

# Difference Scores

attach(multdv)              # Permits using variable names in data file
RD = read - dance 
DT = dance - tv
TS = tv - ski
diff = data.frame(names,RD,DT,TS)
diff

library(MASS)
options(scipen=999)		# permit decimal places for p-values
outcome = cbind (RD,DT,TS)
names = factor(names)
model = manova(outcome ~ names, data = diff)

summary(model,test="Wilks")
summary(model,test="Pillai")
summary(model,test="Hotelling")
summary(model,test="Roy")




